import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';

import { PerfectScrollbarModule } from 'ngx-perfect-scrollbar';

import { OverviewPageRoutingModule } from 'app/pages/overview/overview-page-routing.module';
import { OverviewPageComponent } from 'app/pages/overview/overview-page.component';
import { AddDashboardDialogComponent } from './add-dashboard-dialog/add-dashboard-dialog.component';

import { SensorItemModule } from 'packages/sensor-item/sensor-item.module';
import { MaterialModule } from 'packages/commons/material/material.module';

import { DashboardCardModule } from 'packages/commons/component/dashboard-card/dashboard-card.module';
import { SensorSummaryModule } from 'packages/commons/component/sensor-summary/sensor-summary.module';
import { SensorItemFilterModule } from 'packages/commons/component/sensor-item-filter/sensor-item-filter.module';
import { HostSummaryCardModule } from 'packages/commons/component/host-summary-card/host-summary-card.module';
import { AppSummaryCardModule } from 'packages/commons/component/app-summary-card/app-summary-card.module';


@NgModule({
  imports: [
    CommonModule,
    FormsModule,
    PerfectScrollbarModule,
    MaterialModule,

    DashboardCardModule,
    SensorSummaryModule,
    SensorItemFilterModule,
    HostSummaryCardModule,
    AppSummaryCardModule,

    SensorItemModule,

    OverviewPageRoutingModule,

  ],
  declarations: [
    OverviewPageComponent,
    AddDashboardDialogComponent,
  ],
  entryComponents: [
    AddDashboardDialogComponent
  ]
})
export class OverviewPageModule { }
