import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';

import { MaterialModule } from 'packages/commons/material/material.module';

import { InfraStoreModule } from './infra-store.module';

import { COMPONENTS } from './component';
import { SERVICES } from './service';
import { SensorSettingPageComponent } from 'app/pages/sensor-setting/sensor-setting-page.component';
import { SensorSettingPageModule } from 'app/pages/sensor-setting/sensor-setting-page.module';

@NgModule({
  imports: [
    CommonModule,
    MaterialModule,
    InfraStoreModule,
    SensorSettingPageModule
  ],
  declarations: [
    COMPONENTS,
  ],
  exports: [
    COMPONENTS,
  ],
  providers: [
    SERVICES
  ],
  entryComponents: [
    SensorSettingPageComponent,
  ]
})
export class InfraModule { }
