import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCClient } from 'packages/core/rpc/client/RPCClient';

import { MetaCrawler } from '../model';

@Injectable()
export class CrawlerService {

  public constructor(
    private rpcClient: RPCClient,
  ) {

  }

  public signin(email: string, password: string): Observable<MetaCrawler> {
    const body = {
      signinId: email,
      signinPw: password,
    };

    return this.rpcClient.call<MetaCrawler>('CrawlerService.', body);
  }

  public readAll(): Observable<MetaCrawler[]> {
    return this.rpcClient.call<MetaCrawler[]>('CrawlerService.');
  }
}
