import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';

import 'rxjs/add/operator/map';

import { RPCClient } from 'packages/core/rpc/client/RPCClient';

import { Target } from '../model';
import { Domain } from '../../domain/model';


@Injectable()
export class TargetService {

  public constructor(
    private rpcClient: RPCClient,
  ) {

  }

  public readAllByDomain(domain: Domain): Observable<Target[]> {
    const body = {
        domain: domain,
    };

    return this.rpcClient.call('TargetService.readAllByDomain', domain);
  }

//   public readAllByProbe(domain: Domain): Observable<Target[]> {
//     const body = {
//         domain: domain,
//     };

//     return this.rpcClient.call('TargetService.readAllByDomain', domain);
//   }


}
